<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="sec" uri="http://www.springframework.org/security/tags"%>

<jsp:include page="logos.jsp" />

<nav class="navbar navbar-default">
	<div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
		<ul class="nav navbar-nav">
			<li>
				<a href="<spring:url value="/" htmlEscape="true" />"><span class="glyphicon glyphicon-home"></span> Home</a>
			</li>
			<li class="dropdown"><a href="#" class="dropdown-toggle" data-toggle="dropdown"><span class="glyphicon glyphicon-search"></span> Search Servlets <b class="caret"></b></a>
				<ul class="dropdown-menu">
					<li><a href="<spring:url value="/sequence/query" htmlEscape="true" />">Protein Sequence</a></li>
					<li><a href="<spring:url value="/job/query" htmlEscape="true" />">Job</a></li>
					<li><a href="<spring:url value="/admin/ip/query" htmlEscape="true" />">IP</a></li>
				</ul>
			</li>
			<li class="dropdown"><a href="#" class="dropdown-toggle" data-toggle="dropdown"><span class="glyphicon glyphicon-stats"></span> Statistics Servlets<b class="caret"></b></a>
				<ul class="dropdown-menu">
					<li><a href="<spring:url value="/stat/jobs/query" htmlEscape="true" />">Daily Job Statistics</a></li>
					<li class="divider"></li>
					<li><a href="<spring:url value="/stat/exectime/query" htmlEscape="true" />">Job Time Execution</a></li>
					<li><a href="<spring:url value="/admin/ip/counts/query" htmlEscape="true" />">IPs by Job count</a></li>
					<li><a href="<spring:url value="/sequence/counts/query" htmlEscape="true" />">Proteins by Job count</a></li>
				</ul>
			</li>
<sec:authorize access="hasRole('ROLE_ADMIN')">
			<li class="dropdown"><a href="#" class="dropdown-toggle" data-toggle="dropdown"><span class="glyphicon glyphicon-edit"></span> Database Servlets<b class="caret"></b></a>
				<ul class="dropdown-menu">
					<li><a href="<spring:url value="/database/state" htmlEscape="true" />">DB state</a></li>
					<li><a href="<spring:url value="/database/remove" htmlEscape="true" />">Remove records</a></li>
				</ul>
			</li>
</sec:authorize>
		</ul>
		<ul class="nav navbar-nav navbar-right">
			<li class="dropdown"><a href="#" class="dropdown-toggle" data-toggle="dropdown"><span class="glyphicon glyphicon-user"></span> ${username}<b class="caret"></b></a>
				<ul class="dropdown-menu">
					<li><a href="<spring:url value="/j_spring_security_logout" />">Logout</a></li>
					<sec:authorize access="hasRole('ROLE_USER')">
						<li><a href="<spring:url value="/register/edit/query" htmlEscape="true" />">User account</a></li>
					</sec:authorize>
				</ul>
			</li>
			<li class="dropdown"><a href="#" class="dropdown-toggle" data-toggle="dropdown"><span class="glyphicon glyphicon-question-sign"></span> Help<b class="caret"></b></a>
				<ul class="dropdown-menu">
					<li><a href="<spring:url value="/help/overview" htmlEscape="true" />">Overview</a></li>
					<li><a href="<spring:url value="/help/howto" htmlEscape="true" />">How to</a></li>
					<li><a href="<spring:url value="/help/doc" htmlEscape="true" />">Documentation</a></li>
					<li><a href="<spring:url value="/help/javadoc" htmlEscape="true" />">Javadoc</a></li>
				</ul>
			</li>
		</ul>
	</div><!-- /.navbar-collapse -->
</nav>
